"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LobbyBehaviour = void 0;
const constant_1 = require("@skeldjs/constant");
const Networkable_1 = require("../Networkable");
/**
 * Represents a room object for the Lobby map.
 *
 * See {@link LobbyBehaviourEvents} for events to listen to.
 */
class LobbyBehaviour extends Networkable_1.Networkable {
    constructor(room, netid, ownerid, flags, data) {
        super(room, netid, ownerid, flags, data);
        this.type = constant_1.SpawnType.LobbyBehaviour;
        this.classname = "LobbyBehaviour";
    }
    getComponent(component) {
        if (component === LobbyBehaviour) {
            return this.components[0];
        }
        return super.getComponent(component);
    }
    get owner() {
        return super.owner;
    }
}
exports.LobbyBehaviour = LobbyBehaviour;
LobbyBehaviour.type = constant_1.SpawnType.LobbyBehaviour;
LobbyBehaviour.classname = "LobbyBehaviour";
//# sourceMappingURL=LobbyBehaviour.js.map